NO TITLE

  rickf 20:55 15 Jun 2003

To play the latest games you don't need a 3.06 P4. Just make sure you got a good graphics card and lots of memory. Wait fro the 5900FX to get cheaper which supports DX9 and away you go when games are written with this platform.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

Samsung Galaxy Book 2: Release date, price and specs

This First Man soundtrack vinyl cover art is exquisitely composed

How to watch Apple’s October 2018 iPad launch

Meilleurs VPN (2018)